<?php
/**
* Global Color Settings.
*
* @package Omega Digital Store
*/

$omega_digital_store_default = omega_digital_store_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'omega_digital_store_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'omega-digital-store' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'omega_digital_store_theme_option_panel',
	)
);

$wp_customize->add_setting( 'omega_digital_store_global_color',
    array(
    'default'           => '#191F58',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'omega_digital_store_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'omega-digital-store' ),
        'section'    => 'omega_digital_store_global_color_setting',
        'settings'   => 'omega_digital_store_global_color',
    ) ) 
);

$wp_customize->add_setting( 'omega_digital_store_secondary_colors',
    array(
    'default'           => '#F5B4B4',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'omega_digital_store_secondary_colors',
    array(
        'label'      => esc_html__( 'Global Color', 'omega-digital-store' ),
        'section'    => 'omega_digital_store_global_color_setting',
        'settings'   => 'omega_digital_store_secondary_colors',
    ) ) 
);